@ALBUM screeching weasel

anthem for a new tomorrow, lookout #76

@SONG: I'M GONNA STRANGLE YOU
What I wanna say I'm gonna say to you
And what i wanna do I'm gonna do to you
And if you should decide
That you don't like it - get out

When I wanna talk I'll talk all over you
And when I wanna walk I'll walk all over you
And if I have to drag you
Kicking and screaming - I will

What I wanna do
I'm gonna strangle you tonight

@SONG: FALLING APART
I'm in a dream because everything seems
Like it's moving through some kind of fog
I try to explain but the words come out strange
And I don't know what I'm doing wrong

Cause I'm in my own world and you're not a part of it
I'm in my own world it's falling apart

If I smile outside and I roll back my eyes
In my head and shake hands, you know what?
I can't even tell that I'm not even welcome
In the town where I grew up

@SONG: LEATHER JACKET
I wanna tell you what's on my mind
And i wanna bill you for wasted time
And wasted cigarettes that quenched your fix
And wasted spit I left there upon your lips

I'm getting used to the fact you left
And I'm getting used to the loneliness
But even if you knew that you wouldn't care
And now i sit and talk to an empty chair
And bang my head against the wall
And think up ways i should've told you to fuck off

But I won't lose a bit of sleep
'Cause I know that you're really just a creep
And I've got something that I'm gonna keep
Forever and ever and ever
Your leather jacket

@SONG: RUBBER ROOM
Everything around me is turning into shit
And I don't know what to do
Everyone I know is having a fit
'Cause I haven't got a clue

I don't know who I am
Patience is wearing thin
I think my head is caving in

I don't wanna live in a rubber room
But I think I'm halfway there
The funny thing about it is the worse it gets
The less I even care

@SONG: TALK TO ME SUMMER (instrumental)

@SONG: INSIDE OUT
Now everything you're telling me rips me up
I swear I wish I'd make myself shut you up

I've got a list here of things we talked about
The ugliness you see's just me inside out

And what I just don't know
Is what I think about it
I don't know at all

@PETER BRADY
Don't you see that people
Will like you for who you are
'Cause like is like a sitcom, a senior prom
And I'm OK and you're OK
Grade A - 10-4 - roger - over and out
Listen up - check it out
There's something ugly inside of you
There's a big empty hole inside of you
There's something creepy crawling on your brain
There's something in you
It's red white and blue inside of you

As long as you don't have
Lots of zits or small tits
Or crooked teeth
Then you won't be a freak, a wildebeaste
And people won't tape signs onto your back
Or beat the crap out of you
Or ignore your sorry ass

See, there's something vapid inside of you
There's a sweet little robot inside of you
So take off that silly moustache
Don't be a baby
There's a Pete Brady inside of you

ONE: You act your age
TWO: You don't try to be something you're not
THREE: You find out in advance
What restaurant your mom and dad are going to
And go someplace else

@SONG: I, ROBOT
I am a robot
I might be paranoid
But I'm a living breathing humanoid
I am a rhombus
I plod around like dough
And I'm secure in everything I know
Am I American
Blue metal under skin
No I'm not human

I am a robot
I never have a doubt
I live inside a circle and I can't get out
I am mechanical
I don't question anything
My TV logic solves all my problems for me
Am I American
Am I a Gilligan
No I'm not human

@SONG: EVERY NIGHT
I'm not feeling human anymore
Half connected all the time
Each night I document the things I've done
The pointless points I've made for stupid reasons

Every night I'm always the same
You're pounding on my brain
Tonight and every night
I lie down clenching up my teeth
Trying to fall asleep

I've sat and smoked a billion cigarettes
And wished to hell that you were here
My stained and calloused fingers hold a pen
Scratching apologies to you too late too little

Every night I pay off my debts
Trust me I don't forget
Tonight and every night
I will analyze everything
And make myself count the ways
I fucked up today

@SONG: TOTALLY
Totally cool that your hair is blue
I totally drool when I think about you
Totally neat totally sweet
Totally knocked me off my feet
Totally rad but it's too bad
You're not aware of all my plans

I totally lust when I see you around
The Belmont bus takes me right by your house
Totally neat totally sweet
Totally knocked me off my feet
Totally lame that you won't say
You'll hang out with me every day

I totally love everything about you

@SONG: THREE SIDES
Three sided to every stupid question
Three sided to everything you see
Three sided to every stupid question
Three sided to everything
I've had enough of you and you and you

@SONG: I DON'T WANNA BE FRIENDS
Susie's bugging me again
I better take my ritalin
I'm about an inch away from smacking her
She wants to tell me what to do
I'm really not in love with you
I've had it up to here with your obnoxiousness
Don't play little games with me baby
'Cause you know it's already over

I don't wanna be friends with you

You're giving me a heart attack
You'll never catch me crawling back
I'm not about to listen 'cause I'm really sick of this
You wanna be my buddy too
I'm not a retard at the zoo
There's not a chance 'cause this is totally ridiculous
Don't play little games with me baby
'Cause you know it's already over

@SONG: CANCER IN MY BODY
I know that they're inside me
Waiting to multiply
And I want them out of there
I've got a butcher knife
I'll keep cutting 'til I find them
'Cause I want them out of there
I don't care if you don't care
There's a cancer in my body
And I want it out

@SONG: THRIFT STORE GIRL
Well she's a thrift store girl
Yeah she's a beautiful loser
She'll switch price tags for me
Sometimes meet me for coffee
And I don't think she does that
For anyone but me
She dresses me for absolutely nothing
Just 'cause she really likes me

I'm here for her to serve
She asks for nothing in return
'Cause she's a thrift store babe
She's like my live in maid
She's just a girl but still
She's really not afraid
To call in sick so we can hang out in Wicker Park
And rot amongst the cynical prototypes of our love
And I sincerely hope that she's always around
I hope she always stays around


@SONG: PANIC
A voice inside my head is screaming
Metaphorically I mean
I'm certainly not crazy
I don't think I'm all that crazy
But you see this pressure's getting to be
Just a bit too much for me
I'm feeling it all over and I wish it would be over
If I turn into a grinning idiot
Please put a quarter in my cup

@SONG: TRANCE
I haven't left the house in going on three days
The air in here is getting stale but I don't know if I can take
Another violent jab at the panic button on my brain
I'm not snapping out of it and i wanna wanna wanna wanna
Wanna wanna wanna wanna

@SONG: CLAIRE MONET
Claire Monet I heard someone say
It's been so long since the last time I heard her name
I learned a lot from her
Yeah she was singular
The one day she got married
That's the last we saw of her
I can't remember her face at all
And I don't know why but Claire Monet I miss you

Claire Monet went away
I don't know how she could give up that lovely name
She was so slick and I fell sick
When I think about her playing house and raising kids
I'd rather think of her the way she was
Maybe that's why Claire Monet I miss you

The funny part of it all
Is I didn't know her at all

Claire Monet had lots to say
And I just can't imagine her all old and gray
She didn't need a man
Maybe it was her plan
But if she couldn't go on being Claire Monet who can?
I get the feeling she just withered away
Maybe that's why Claire Monet I miss you

@SONG: A NEW TOMORROW
We don't believe in god or jesus christ anymore
We don't need colleges to validate our lives anymore
We don't need twelve steps to show us how weak we've become anymore
We don't need to buy into a system that offers empty promises anymore

We don't need protection against anything anybody might say
We know that government can't improve out lives anyway
We don't need to drug ourselves anymore to keep the boredom away
We don't anything except relying on ourselves for a change
I can see a new tomorrow
Now
